<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:26:33 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CppGenUtils (org.eclipse.papyrus.designer.languages.cpp.codegen 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CppGenUtils (org.eclipse.papyrus.designer.languages.cpp.codegen 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppGenUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/ILocateCppProject.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.codegen.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html" target="_top">Frames</a></li>
<li><a href="CppGenUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.codegen.utils</div>
<h2 title="Class CppGenUtils" class="title">Class CppGenUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.codegen.utils.CppGenUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CppGenUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Some utilities specific to C++ code generation: a set of static methods that is intended
 for use from Acceleo templates.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>wassim, ansgar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#ANSI_C_LIB">ANSI_C_LIB</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#USE_ALL_NS">USE_ALL_NS</a></span></code>
<div class="block">If true, qualified names use all namespace elements.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#CppGenUtils--">CppGenUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#closeNS-org.eclipse.uml2.uml.NamedElement-">closeNS</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return a C++ close-namespace definition for a named element</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#closeNSMinimal-org.eclipse.uml2.uml.NamedElement-">closeNSMinimal</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return a C++ close-namespace definition for a named element, without spaces and line breaks</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#cppQualifiedName-org.eclipse.uml2.uml.NamedElement-">cppQualifiedName</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return a kind of qualifiedName, except if
 - The named element has the stereotype External or NoCodeGen
 - The named element is part of the ANSI C library
 - The named element is a primitive type that has no further definition via a stereotype (TODO: why is this required/useful?)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getAllNamespaces-org.eclipse.uml2.uml.NamedElement-">getAllNamespaces</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return all namespaces, with specific case of a package (which needs to
 include itself as a namespace unlike other elements (e.g.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.VisibilityKind</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getCurrentVisibility--">getCurrentVisibility</a></span>()</code>
<div class="block">Get the current visibility so we can restore it when generating nested classes</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getGeneralizationVisibility-org.eclipse.uml2.uml.Element-">getGeneralizationVisibility</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>
<div class="block">Return the C++ visibility (on generalizations) in text form.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getNamespace-org.eclipse.uml2.uml.NamedElement-">getNamespace</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return a C++ namespace definition for a named element</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getSection-org.eclipse.uml2.uml.VisibilityKind-java.lang.String-">getSection</a></span>(org.eclipse.uml2.uml.VisibilityKind&nbsp;visibility,
          <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content)</code>
<div class="block">Create a section of code with the appropriate visibility.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getStdtypes-org.eclipse.uml2.uml.PrimitiveType-">getStdtypes</a></span>(org.eclipse.uml2.uml.PrimitiveType&nbsp;type)</code>
<div class="block">The standard UML and MARTE libraries do not apply the stereotype "Typedef".</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getTemplateParametersWoType-org.eclipse.uml2.uml.Classifier-">getTemplateParametersWoType</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>
<div class="block">Return a list of template parameters without type</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#getTemplateTypeName-org.eclipse.uml2.uml.TemplateParameter-">getTemplateTypeName</a></span>(org.eclipse.uml2.uml.TemplateParameter&nbsp;templateParam)</code>
<div class="block">Returns the string that is used within a C++ template declaration, e.g.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#openNS-org.eclipse.uml2.uml.NamedElement-">openNS</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return a C++ open-namespace definition for a named element</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#openNSMinimal-org.eclipse.uml2.uml.NamedElement-">openNSMinimal</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</code>
<div class="block">Return a C++ open-namespace definition for a named element, without spaces and line breaks</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#resetVisibility-org.eclipse.uml2.uml.VisibilityKind-">resetVisibility</a></span>(org.eclipse.uml2.uml.VisibilityKind&nbsp;v)</code>
<div class="block">Update the current visibility to the specified value without writing this value to
 the output.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#transformCORBABaseTypes-org.eclipse.uml2.uml.PrimitiveType-">transformCORBABaseTypes</a></span>(org.eclipse.uml2.uml.PrimitiveType&nbsp;type)</code>
<div class="block">Specific handling of CORBA basic types.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ANSI_C_LIB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANSI_C_LIB</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ANSI_C_LIB</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.codegen.utils.CppGenUtils.ANSI_C_LIB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USE_ALL_NS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>USE_ALL_NS</h4>
<pre>public static&nbsp;boolean USE_ALL_NS</pre>
<div class="block">If true, qualified names use all namespace elements.
 If false, the top-level package is skipped</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CppGenUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CppGenUtils</h4>
<pre>public&nbsp;CppGenUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTemplateParametersWoType-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTemplateParametersWoType</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTemplateParametersWoType(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</pre>
<div class="block">Return a list of template parameters without type</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>classifier</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getStdtypes-org.eclipse.uml2.uml.PrimitiveType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStdtypes</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStdtypes(org.eclipse.uml2.uml.PrimitiveType&nbsp;type)</pre>
<div class="block">The standard UML and MARTE libraries do not apply the stereotype "Typedef". Yet, we want to treat these
 types in an identical way, i.e. we use a typedef to the associated primitive C++ type</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="transformCORBABaseTypes-org.eclipse.uml2.uml.PrimitiveType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transformCORBABaseTypes</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;transformCORBABaseTypes(org.eclipse.uml2.uml.PrimitiveType&nbsp;type)</pre>
<div class="block">Specific handling of CORBA basic types. These have the property that the
 type name itself differs from the declared primitive type (in the C++ mapping)
 TODO: This should be handled by a modular extension defined in CORBA modules.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - A primitive type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new type name if for CORBA, null otherwise</dd>
</dl>
</li>
</ul>
<a name="cppQualifiedName-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cppQualifiedName</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cppQualifiedName(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return a kind of qualifiedName, except if
 - The named element has the stereotype External or NoCodeGen
 - The named element is part of the ANSI C library
 - The named element is a primitive type that has no further definition via a stereotype (TODO: why is this required/useful?)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ne</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getTemplateTypeName-org.eclipse.uml2.uml.TemplateParameter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTemplateTypeName</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTemplateTypeName(org.eclipse.uml2.uml.TemplateParameter&nbsp;templateParam)</pre>
<div class="block">Returns the string that is used within a C++ template declaration, e.g. the "Class XY" in template<class XY>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the template type formated as string</dd>
</dl>
</li>
</ul>
<a name="getNamespace-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamespace</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNamespace(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return a C++ namespace definition for a named element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ne</code> - a named element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a C++ namespace definition for a named element</dd>
</dl>
</li>
</ul>
<a name="getAllNamespaces-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllNamespaces</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Namespace&gt;&nbsp;getAllNamespaces(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return all namespaces, with specific case of a package (which needs to
 include itself as a namespace unlike other elements (e.g. classes)</div>
</li>
</ul>
<a name="openNS-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openNS</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;openNS(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return a C++ open-namespace definition for a named element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ne</code> - a named element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a C++ open-namespace definition for a named element</dd>
</dl>
</li>
</ul>
<a name="openNSMinimal-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openNSMinimal</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;openNSMinimal(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return a C++ open-namespace definition for a named element, without spaces and line breaks</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ne</code> - a named element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a C++ open-namespace definition for a named element, without spaces and line breaks</dd>
</dl>
</li>
</ul>
<a name="closeNS-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeNS</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;closeNS(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return a C++ close-namespace definition for a named element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ne</code> - a named element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a C++ close-namespace definition for a named element</dd>
</dl>
</li>
</ul>
<a name="closeNSMinimal-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeNSMinimal</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;closeNSMinimal(org.eclipse.uml2.uml.NamedElement&nbsp;ne)</pre>
<div class="block">Return a C++ close-namespace definition for a named element, without spaces and line breaks</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ne</code> - a named element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a C++ close-namespace definition for a named element, without spaces and line breaks</dd>
</dl>
</li>
</ul>
<a name="getGeneralizationVisibility-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneralizationVisibility</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGeneralizationVisibility(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<div class="block">Return the C++ visibility (on generalizations) in text form. Return public, if no stereotype
 visibility exists</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="resetVisibility-org.eclipse.uml2.uml.VisibilityKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetVisibility</h4>
<pre>public static&nbsp;void&nbsp;resetVisibility(org.eclipse.uml2.uml.VisibilityKind&nbsp;v)</pre>
<div class="block">Update the current visibility to the specified value without writing this value to
 the output. This is to be used when setting the default visibility of a class/struct.</div>
</li>
</ul>
<a name="getCurrentVisibility--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentVisibility</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.VisibilityKind&nbsp;getCurrentVisibility()</pre>
<div class="block">Get the current visibility so we can restore it when generating nested classes</div>
</li>
</ul>
<a name="getSection-org.eclipse.uml2.uml.VisibilityKind-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSection</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSection(org.eclipse.uml2.uml.VisibilityKind&nbsp;visibility,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content)</pre>
<div class="block">Create a section of code with the appropriate visibility. Merges the content with
 the previously declared visibility (if appropriate). Ignore empty content.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppGenUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/utils/ILocateCppProject.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.codegen.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html" target="_top">Frames</a></li>
<li><a href="CppGenUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
